---

#! jobs/kernel-selftests.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_cpu: 2
need_memory: 2G
kernel-selftests:
  group: group-03
kernel_cmdline: erst_disable
job_origin: kernel-selftests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: validate
testbox: lkp-csl-d01
tbox_group: lkp-csl-d01
job_file: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-group-03-debian-12-x86_64-20240206.cgz-ecb8bd70d51c-20240919-266034-5f8bx3-0.yaml"
id: b3d74f4f3da34a8cbd6c395312e979ef82855a6e
queuer_version: "/zday/lkp"

#! /db/releases/20240910200441/lkp-src/hosts/lkp-csl-d01
model: Cascade Lake
nr_node: 1
nr_cpu: 36
memory: 32G
nr_ssd_partitions: 1
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part4"
brand: Intel(R) Core(TM) i9-10980XE CPU @ 3.00GHz

#! /db/releases/20240910200441/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /db/releases/20240910200441/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20240910200441/lkp-src/include/queue/cyclic
commit: ecb8bd70d51ccf9009219a6097cef293deada65b

#! /db/releases/20240910200441/lkp-src/include/testbox/lkp-csl-d01
netconsole_port: 6685
ucode: '0x5003604'

#! /db/releases/20240910200441/lkp-src/include/kernel-selftests
need_kernel_version:
need_kconfig:
- NET: y
- VIRT_DRIVERS: y
- INTEL_TDX_GUEST: y
- TDX_GUEST_DRIVER
- TEST_USER_COPY
- TIME_NS: y
- USERFAULTFD: y
- USER_NS: y
- ZRAM: m
- ZSMALLOC: y
- ZONE_DEVICE: y
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-8.3-kselftests
enqueue_time: 2024-09-19 14:40:48.011642344 +08:00
_rt: "/result/kernel-selftests/group-03/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-12/ecb8bd70d51ccf9009219a6097cef293deada65b"
compiler: gcc-12
head_commit: 57f962b956f1d116cd64d5c406776c4975de549d
base_commit: da3ea35007d0af457a0afc87e84fddaebc4e0b63
branch: linux-next/master
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240919-075213"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/group-03/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-12/ecb8bd70d51ccf9009219a6097cef293deada65b/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/ecb8bd70d51ccf9009219a6097cef293deada65b/vmlinuz-6.11.0-rc5-00108-gecb8bd70d51c
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-group-03-debian-12-x86_64-20240206.cgz-ecb8bd70d51c-20240919-266034-5f8bx3-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-kselftests
- commit=ecb8bd70d51ccf9009219a6097cef293deada65b
- erst_disable
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/ecb8bd70d51ccf9009219a6097cef293deada65b/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/ecb8bd70d51ccf9009219a6097cef293deada65b/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/ecb8bd70d51ccf9009219a6097cef293deada65b/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20240904.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20240508.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-977d51cf-1_20240508.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20240912210019/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-group-03-debian-12-x86_64-20240206.cgz-ecb8bd70d51c-20240919-266034-5f8bx3-0.cgz"
last_kernel: 5.13.0-rc1
repeat_to: 1

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/ecb8bd70d51ccf9009219a6097cef293deada65b/vmlinuz-6.11.0-rc5-00108-gecb8bd70d51c"
result_root: "/result/kernel-selftests/group-03/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-12/ecb8bd70d51ccf9009219a6097cef293deada65b/0"

#! /db/releases/20240919115816/lkp-src/include/site/inn
dequeue_time: 2024-09-19 15:40:57.207666110 +08:00
job_state: finished
loadavg: 1.48 0.91 0.44 1/410 6932
start_time: '1726731744'
end_time: '1726732324'
version: "/lkp/lkp/.src-20240919-075213:4f197ecc07b3:dfb7397fc64a"
